package common.block.tech;

import common.block.Block;
import common.block.Material;
import common.item.CheatTab;
import common.util.BlockPos;
import common.vars.Vars;
import common.world.State;
import common.world.AWorldServer;

public class BlockCore extends Block {
	public BlockCore() {
		super(Material.SOLID);
		this.setTab(CheatTab.TECHNOLOGY);
	}
	
	public void onBlockRemoved(AWorldServer world, BlockPos pos, State state)
    {
		if(Vars.loaders)
			world.removeLoader(pos);
    }
	
	public void onBlockAdded(AWorldServer world, BlockPos pos, State state)
    {
		if(Vars.loaders)
			world.addLoader(pos);
    }
}
